javascript_include_tag not work for filename with multi dots
2011-01-14 11:47 - Sergei Danilov

Status: Closed Start date: 2011-01-14
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version:

Resolution: Wont fix Affected version: 1.0.1
Description

With

https:/github.com/friflaj/redmine_tagging/blob/master/lib/tagging_hooks.rb

Line 40

tags += javascript_include_tag 'jquery-1.4.2.min.js', :plugin => 'redmine_tagging’

Redmine fail to load jquery-1.4.2.min.js and redmine_tagging plugin not work properly

After renaming "jquery-1.4.2.min.js" to "jquery142min.js" and changing code to

tags += javascript_include_tag 'jqueryl42min.js', :plugin => 'redmine_tagging'
plugin works fine.

Redmine 1.0.1.devel.4083

History

#1 - 2011-01-15 14:29 - Jean-Philippe Lang

Redmine fail to load jquery-1.4.2.min.js and redmine_tagging plugin not work properly

With current trunk, it generates a correct script tag:
javascript_include_tag 'jquery-1.4.2.min.Jjs', :plugin => 'redmine_tagging'
=> <script src="/plugin_assets/redmine_tagging/javascripts/jquery-1.4.2.min.js" type="text/Jjavascript"></scrip

t>

What does your broken script tag look like?

#2 - 2011-01-20 11:58 - Sergei Danilov

With current trunk, it generates a correct script tag:

javascript_include_tag 'jquery-1.4.2.min.Jjs', :plugin => 'redmine_tagging'
=> <script src="/plugin_assets/redmine_tagging/javascripts/jquery-1.4.2.min.Jjs" type="text/javascript"></s
cript>

Javascript look like:

<script src="/plugin_assets/redmine_tagging/Jjavascripts/Jjquery-1.4.2.min.js?1294998561" type="text/javascript"
></script>
https://github.com/friflaj/redmine_tagging/blob/master/lib/tagging_hooks.rb

All javasripts in html pages look like

<script src="<javascript file>?<magic number>" type="text/javascript"></script>
What is the significance of <magic number>?

Javascript NOT broken. It's just not inject in html page.

#3 - 2011-10-11 09:32 - Manb CKpbinésb

Sergej, what is happened with your problem?

#4 - 2020-11-16 02:44 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Wont fix

Sergei Danilov wrote:

Javascript look like:

(-]

All javasripts in html pages look like

(-]

What is the significance of <magic number>?

It is not a problem. Please see the following page:
What does this random number do: /javascripts/rails.js?1271798101 - Stack Overflow
https://stackoverflow.com/questions/2678947/what-does-this-random-number-do-javascripts-rails-js1271798101
